package com.ym.mec.biz.dal.entity;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * 对应数据库表(music_group_payment_calender_student_detail):
 */
public class MusicGroupPaymentCalenderStudentDetail {

	/**  */
	private Integer id;
	
	/**  */
	private Integer userId;
	
	/**  */
	private String phone;
	
	/**  */
	private String username;
	
	/** 原价 */
	private java.math.BigDecimal courseOriginalPrice;
	
	/** 现价 */
	private java.math.BigDecimal courseCurrentPrice;

	/** 学员需要扣减的课程余额 */
	private java.math.BigDecimal cutAmount = BigDecimal.ZERO;
	
	/** 课程类型 */
	private String courseType;
	
	/** 课程时长 */
	private Integer courseTime;
	
	/** 班级编号 */
	private Integer classGroupId;

	/** 缴费项目编号 */
	private String batchNo;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public BigDecimal getCutAmount() {
		return cutAmount;
	}

	public void setCutAmount(BigDecimal cutAmount) {
		this.cutAmount = cutAmount;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setPhone(String phone){
		this.phone = phone;
	}
	
	public String getPhone(){
		return this.phone;
	}
			
	public void setUsername(String username){
		this.username = username;
	}
	
	public String getUsername(){
		return this.username;
	}
			
	public void setCourseOriginalPrice(java.math.BigDecimal courseOriginalPrice){
		this.courseOriginalPrice = courseOriginalPrice;
	}
	
	public java.math.BigDecimal getCourseOriginalPrice(){
		return this.courseOriginalPrice;
	}
			
	public void setCourseCurrentPrice(java.math.BigDecimal courseCurrentPrice){
		this.courseCurrentPrice = courseCurrentPrice;
	}
	
	public java.math.BigDecimal getCourseCurrentPrice(){
		return this.courseCurrentPrice;
	}
			
	public void setCourseType(String courseType){
		this.courseType = courseType;
	}
	
	public String getCourseType(){
		return this.courseType;
	}

	public Integer getCourseTime() {
		return courseTime;
	}

	public void setCourseTime(Integer courseTime) {
		this.courseTime = courseTime;
	}

	public void setClassGroupId(Integer classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public Integer getClassGroupId(){
		return this.classGroupId;
	}

	public String getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	@Override
	public String toString() {
		return "MusicGroupPaymentCalenderStudentDetail{" +
				"userId=" + userId +
				", courseOriginalPrice=" + courseOriginalPrice +
				", courseCurrentPrice=" + courseCurrentPrice +
				", courseType='" + courseType + '\'' +
				", classGroupId=" + classGroupId +
				'}';
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
		MusicGroupPaymentCalenderStudentDetail that = (MusicGroupPaymentCalenderStudentDetail) o;
		return userId.equals(that.userId) &&
				courseOriginalPrice.doubleValue()==(that.courseOriginalPrice.doubleValue()) &&
				courseCurrentPrice.doubleValue()==(that.courseCurrentPrice.doubleValue()) &&
				courseType.equals(that.courseType) &&
				classGroupId.equals(that.classGroupId);
	}

	@Override
	public int hashCode() {
		return Objects.hash(userId, courseOriginalPrice.doubleValue(), courseCurrentPrice.doubleValue(), courseType, classGroupId);
	}
}
